Subject: Re: 2.6.18 forcedeth GSO panic on send

From: Denis Vlasenko <[email-masked]>
Date: Sun, 29 Oct 2006 13:55:56 +0100

Sorry for the delay.

On Friday 27 October 2006 05:58, Herbert Xu wrote:
> > I am using an AMD64 box with 32bit userspace / 64bit kernel.
> > 
> > Kernels 2.6.18 and 2.6.18.1 semi-randomly hang when I upload stuff
> > over the net - for example, "svn commit", scp are affected.
> > 2.6.17.11 does not seem to be affected.
> > 
> > Unfortunately even 60-line screen is not big enough
> > to catch whole trace. There are at least two traces,
> > and first scrolls off. I have a photo at
> > http://busybox.net/~vda/gso_panic/forcedeth_gso_panic.jpg
> 
> Looks like a network stack bug rather than a driver problem.
> However, I'd really like to see the first oops including the
> print out from skb_over_panic.

With "echo 1 >/proc/sys/kernel/panic_on_oops" I've got
what you're requested. See screenshot:

http://busybox.net/~vda/gso_panic/forcedeth_gso_panic2.jpg

--
vda